## org.eclipse.xsd.ecore.exporter
Class XSDExporter

    java.lang.Object
      org.eclipse.emf.converter.ModelConverter
          org.eclipse.emf.exporter.ModelExporter
              org.eclipse.xsd.ecore.exporter.XSDExporter

Direct Known Subclasses:
  XMIExporter

    public class XSDExporter

extends ModelExporter

Since:
  2.2.0

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.exporter.ModelExporter
`ModelExporter.EPackageExportInfo, ModelExporter.ExportData, ModelExporter.GenPackagesTreeIterator, ModelExporter.ReferencedGenPackageExportInfo`

Nested classes/interfaces inherited from class org.eclipse.emf.converter.ModelConverter
`ModelConverter.EPackageConvertInfo, ModelConverter.ReferencedEPackageFilter, ModelConverter.ReferencedGenPackageConvertInfo`

Field Summary
`protected MapBuilder` `mapBuilder`

Fields inherited from class org.eclipse.emf.exporter.ModelExporter
`directoryURI, ePackageToGenPackageMap, GENANNOTATION_KEY_DIRECTORY_URI, GENANNOTATION_SOURCE_PREFIX, GENANNOTATION_SOURCE_SELECTED_EPACKAGES, GENANNOTATION_SOURCE_SELECTED_REFERENCES, genBaseToDetailsMap, saveEPackageArtifactURI, saveExporter`

Fields inherited from class org.eclipse.emf.converter.ModelConverter
`ePackages, ePackageToInfoMap, externalGenModelList, externalGenModelResourceSet, genModel, referencedEPackageFilter, referencedEPackageFilterToConvert, referencedGenPackages, referencedGenPackageToInfoMap`

Constructor Summary
`XSDExporter()`

Method Summary
`protected java.lang.String` `computeSchemaLocation(XSDSchemaDirective xsdSchemaDirective, URI artifactURI)`
`void` `dispose()`
`protected java.lang.String` `doCheckEPackageArtifactLocation(java.lang.String location, java.lang.String packageName)`
`protected Diagnostic` `doExport(Monitor monitor, ModelExporter.ExportData exportData)`
`protected java.lang.String` `getDefaultArtifactLocation(EPackage ePackage)`
`java.lang.String` `getID()`
`protected URI` `getReferencedGenPackageArtifactURI(ModelExporter.ExportData exportData, GenPackage genPackage)`
`protected XSDSchema` `getSchema(EPackage ePackage)`

Methods inherited from class org.eclipse.emf.exporter.ModelExporter

`adjustGenModel, canConvert, checkEPackageArtifactLocation, computeArtifactURI, createEncodedURI, createEPackageInfo, createEPackagesList, createGenPackageConvertInfo, createReferencedEPackageFilterToConvert, createReferencedGenPackagesList, export, getArtifactURIs, getConverterGenAnnotationSource, getDefaultArtifactFileName, getDirectoryURI, getEPackageExportInfo, getEPackageToGenPackageMap, getExporterGenAnnotationDetails, getExporterNestedGenAnnotationDetails, getExporterNestedGenAnnotations, getGenBaseToGenAnnotationDetailsMap, getReferencedGenPackageExportInfo, isSaveEPackageArtifactURI, isSaveExporter, isValidEPackage, isValidReferencedGenPackage, loadGenModel, printExportData, save, saveEPackageArtifactURI, saveExporter, setDirectoryURI, setDirectoryURI, setGenModel, setSaveEPackageArtifactURI, setSaveExporter, validateDirectoryURI`

Methods inherited from class org.eclipse.emf.converter.ModelConverter

`clearEPackageConvertInfoCache, clearEPackagesCollections, clearReferenceGenPackageConvertInfoCache, computeEPackagesToConvert, computeValidReferencedGenPackages, createExternalGenModelResourceSet, createReferencedEPackageFilter, createResourceSet, filterReferencedEPackages, filterReferencedEPackagesToConvert, getEPackageConvertInfo, getEPackages, getEPackageToInfoMap, getExternalGenModels, getGenModel, getGenmodelSaveOptions, getGenModelSaveOptions, getReferencedGenPackages, getReferencedGenPackageToInfoMap, getReferenceGenPackageConvertInfo, getReferredEPackage, makeEPackageConvertDataUnique`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mapBuilder

    protected MapBuilder mapBuilder

Constructor Detail

### XSDExporter

    public XSDExporter()

Method Detail

### getID

    public java.lang.String getID()

  Specified by:
    `getID` in class `ModelConverter`

### dispose

    public void dispose()

  Overrides:
    `dispose` in class `ModelExporter`

### getDefaultArtifactLocation

    protected java.lang.String getDefaultArtifactLocation(EPackage ePackage)

  Overrides:
    `getDefaultArtifactLocation` in class `ModelExporter`

### doCheckEPackageArtifactLocation

    protected java.lang.String doCheckEPackageArtifactLocation(java.lang.String location,
                                                               java.lang.String packageName)

  Overrides:
    `doCheckEPackageArtifactLocation` in class `ModelExporter`

### getSchema

    protected XSDSchema getSchema(EPackage ePackage)

### doExport

    protected Diagnostic doExport(Monitor monitor,
                                  ModelExporter.ExportData exportData)
                           throws java.lang.Exception

  Overrides:
    `doExport` in class `ModelExporter`
  Throws:
    `java.lang.Exception`

### getReferencedGenPackageArtifactURI

    protected URI getReferencedGenPackageArtifactURI(ModelExporter.ExportData exportData,
                                                     GenPackage genPackage)

### computeSchemaLocation

    protected java.lang.String computeSchemaLocation(XSDSchemaDirective xsdSchemaDirective,
                                                     URI artifactURI)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.